Name:		image-analyzer
Version:	3.0.1
Release:	%mkrel 1
Summary:	An application that displays tree structure of disc image
Group:		File tools
License:	GPLv2
URL:		http://cdemu.sourceforge.net/about/analyzer/
Source:		http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2
Patch0:		image-analyzer-3.0.1-fix-install.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libmirage) >= %{version}
BuildRequires:	pkgconfig(python2)
BuildRequires:	gnuplot
BuildRequires:	intltool
BuildRequires:	cmake

Requires:	python-gi
Requires:	python-matplotlib-gtk3

%description
Image Analyzer is a simple Gtk+ application that displays tree structure of disc
image created by libMirage.

It is mostly intended as a demonstration of libMirage API use, although it can
be also used to verify that an image is correctly handled by libMirage.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%make_build

%install
%make_install -C build

%files
%doc AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Sat Nov 12 2016 daviddavid <daviddavid> 3.0.1-1.mga6
+ Revision: 1066748
- new version: 3.0.1
- rename and rediff fix-install patch
- make it noarch now

* Sun Oct 09 2016 daviddavid <daviddavid> 3.0.0-1.mga6
+ Revision: 1059791
- new version: 3.0.0
- add missing URL tag
- update files list

* Thu Feb 04 2016 umeabot <umeabot> 2.0.0-6.mga6
+ Revision: 934816
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-5.mga5
+ Revision: 744944
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-4.mga5
+ Revision: 680483
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.0-3.mga4
+ Revision: 529073
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 2.0.0-2.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sat Jan 12 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 354288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 mitya <mitya> 2.0.0-1.mga3
+ Revision: 335775
- New version 2.0.0
- Created package structure for image-analyzer.

